import smbus
import time

bus = smbus.SMBus(1) # Change the I2C bus number based on the actual device

address = 0x10 # Radar default address 0x10
getLidarDataCmd = [0x5A,0x05,0x00,0x01,0x60]  # Gets the distance value instruction

def getLidarData(i2c_addr):
    temp = [0] * 9 
    bus.write_i2c_block_data(i2c_addr, 0, [0x5A,0x05,0x00,0x01,0x60])

    temp=bus.read_i2c_block_data(i2c_addr, 0, 9)
    if temp[0] == 0x59 and temp[1] == 0x59 :
        distance   = temp[2] + temp[3] * 256 #DistanceValue
        strengh    = temp[4] + temp[5] * 256 #signal strength
        temperature= (temp[6] + temp[7]* 256)/8-256 #Chip temperature
        print("distance =%5dcm, strengh = %5d, temperature = %5d℃" % (distance,strengh,temperature))
time.sleep(1) 
while True:
    getLidarData(address) #  Radar data was obtained and analyzed
    time.sleep(0.01)


